@echo off

SET MYSQLCMD=C:\prg\mysql-5.7.22-win32\bin\mysql.exe -u root
SET DB_NAME="test"

REM test files
SET STEP1FN=step1.sql
SET STEP2aFN=step2a.sql
SET STEP2bFN=step2b.sql
SET STEP3FN=step3ff.sql

IF NOT EXIST "%STEP1FN%" GOTO GENFILES
IF NOT EXIST "%STEP2aFN%" GOTO GENFILES
IF NOT EXIST "%STEP2bFN%" GOTO GENFILES
IF NOT EXIST "%STEP3FN%" GOTO GENFILES

REM Info
%MYSQLCMD% -e "SHOW GLOBAL VARIABLES LIKE '%%version%%'"

REM prepare
%MYSQLCMD% -e "CREATE DATABASE IF NOT EXISTS %DB_NAME%"
%MYSQLCMD% -D %DB_NAME% < %STEP1FN%

REM get dump expected
REM %MYSQLCMD% -BND %DB_NAME% < %STEP3FN%
echo | set /p dv=Expected
FOR /F %%i IN ('%MYSQLCMD% -BND %DB_NAME% -e "source %STEP3FN%"') DO echo | set /p dv=, %%i
echo.

REM run test
for /l %%r in (0, 1, 9) do (
    %MYSQLCMD% -D %DB_NAME% < %STEP2aFN%
	%MYSQLCMD% -D %DB_NAME% < %STEP2bFN%
	
	REM %MYSQLCMD% -BND %DB_NAME% < %STEP3FN%
	echo | set /p dv=run %%r 
	FOR /F %%i IN ('%MYSQLCMD% -BND %DB_NAME% -e "source %STEP3FN%"') DO echo | set /p dv=, %%i
	echo.
)
timeout /T 3 > NUL
REM %MYSQLCMD% -BND %DB_NAME% < %STEP3FN%
echo | set /p dv=after sleep
FOR /F %%i IN ('%MYSQLCMD% -BND %DB_NAME% -e "source %STEP3FN%"') DO echo | set /p dv=, %%i
echo.

GOTO END

:GENFILES
  echo "File generation is not supported on windows."
:END



